/api/v1/llm-providers/{id} (GET)
const url = 'https://api.endless.zaia.app/api/v1/llm-providers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.endless.zaia.app/api/v1/llm-providers/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0Parameters
Seção intitulada “Parameters”Path Parameters
Seção intitulada “Path Parameters”A UUID v4 string that identifies an entity.
A UUID v4 string that identifies an entity.
Responses
Seção intitulada “Responses”Retrieves an LLM provider.
object
A UUID v4 string that identifies an entity.
The API key used to authenticate with the LLM provider.
The internal description of the LLM provider configuration.
The display name of the LLM provider configuration.
The optional reference ID associated with the LLM provider configuration.
The upstream LLM provider type configured for this record.
The workspace ID that owns the LLM provider configuration.
Example
{ "type": "openai"}Unauthorized.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}LLM provider not found.
The description of a known exception.
object
The error code.
The error call-to-action.
object
The error feedback.
object
The error message.
The error name.
Example
{ "cta": { "type": "support-contact" }}